#!/usr/bin/perl -w

sub one_kind($$) {
    my ($name, $instance) = @_;
    print OUT "<br>\n";
    if ($instance == 1)                 { print OUT "<br>[$name 48]\n"; }
    else { print OUT "<br>&nbsp;<a href=\"${name}1.html\">$name 48</a>\n"; }
    if ($instance == 2)                 { print OUT "<br>[$name 105]\n"; }
    else { print OUT "<br>&nbsp;<a href=\"${name}2.html\">$name 105</a>\n"; }
    if ($instance == 3)                 { print OUT "<br>[$name 225]\n"; }
    else { print OUT "<br>&nbsp;<a href=\"${name}3.html\">$name 225</a>\n"; }
    if ($instance == 4)                 { print OUT "<br>[$name 532]\n"; }
    else { print OUT "<br>&nbsp;<a href=\"${name}4.html\">$name 532</a>\n"; }
    print OUT "<br>\n";
}


sub output($$) {
    my ($kind, $instance) = @_;
    my $name;

    if ($kind == 0) { $name = "TSP"; }
    if ($kind == 1) { $name = "Kruskal"; }
    if ($kind == 2) { $name = "Prim"; }
    if ($kind == 3) { $name = "Dijkstra"; }

    print "<li><a href=\"${name}${instance}.html\">${name}${instance}</a>\n";

    open (OUT, "> ${name}${instance}.html");
    print OUT <<EOF;
<html>
<body>
<table><tr valign="top"><td>
<applet code="${name}Applet.class" archive="GraphApplets.jar" width="700" height="500">
EOF

    inst1() if ($instance == 1);
    inst2() if ($instance == 2);
    inst3() if ($instance == 3);
    inst4() if ($instance == 4);

    print OUT <<EOF;
</applet>
<td>
EOF

    if ($kind == 0) { one_kind($name, $instance); }
    else { print OUT "<br><a href=\"TSP1.html\">TSP</a>"; }
    if ($kind == 1) { one_kind($name, $instance); }
    else { print OUT "<br><a href=\"Kruskal1.html\">Kruskal</a>"; }
    if ($kind == 2) { one_kind($name, $instance); }
    else { print OUT "<br><a href=\"Prim1.html\">Prim</a>"; }
    if ($kind == 3) { one_kind($name, $instance); }
    else { print OUT "<br><a href=\"Dijkstra1.html\">Dijkstra</a>"; }

    print OUT <<EOF;
</tr>
</table>
</body>
</html>
EOF
}


sub inst1() {
print OUT <<EOF
<param name=weight value=att>
<param name=n value=48>
<param name=opt value=10628>
<param name=c1 value="7810 6053">
<param name=c2 value="7798 5709">
<param name=c3 value="7264 5575">
<param name=c1 value="6734 1453">
<param name=c2 value="2233 10">
<param name=c3 value="5530 1424">
<param name=c4 value="401 841">
<param name=c5 value="3082 1644">
<param name=c6 value="7608 4458">
<param name=c7 value="7573 3716">
<param name=c8 value="7265 1268">
<param name=c9 value="6898 1885">
<param name=c10 value="1112 2049">
<param name=c11 value="5468 2606">
<param name=c12 value="5989 2873">
<param name=c13 value="4706 2674">
<param name=c14 value="4612 2035">
<param name=c15 value="6347 2683">
<param name=c16 value="6107 669">
<param name=c17 value="7611 5184">
<param name=c18 value="7462 3590">
<param name=c19 value="7732 4723">
<param name=c20 value="5900 3561">
<param name=c21 value="4483 3369">
<param name=c22 value="6101 1110">
<param name=c23 value="5199 2182">
<param name=c24 value="1633 2809">
<param name=c25 value="4307 2322">
<param name=c26 value="675 1006">
<param name=c27 value="7555 4819">
<param name=c28 value="7541 3981">
<param name=c29 value="3177 756">
<param name=c30 value="7352 4506">
<param name=c31 value="7545 2801">
<param name=c32 value="3245 3305">
<param name=c33 value="6426 3173">
<param name=c34 value="4608 1198">
<param name=c35 value="23 2216">
<param name=c36 value="7248 3779">
<param name=c37 value="7762 4595">
<param name=c38 value="7392 2244">
<param name=c39 value="3484 2829">
<param name=c40 value="6271 2135">
<param name=c41 value="4985 140">
<param name=c42 value="1916 1569">
<param name=c43 value="7280 4899">
<param name=c44 value="7509 3239">
<param name=c45 value="10 2676">
<param name=c46 value="6807 2993">
<param name=c47 value="5185 3258">
<param name=c48 value="3023 1942">
EOF
}

sub inst2() {
print OUT <<EOF
<param name=weight value=euclid2>
<param name=n value=105>
<param name=opt value=14379>
<param name=c1 value="63 71">
<param name=c2 value="94 71">
<param name=c3 value="142 370">
<param name=c4 value="173 1276">
<param name=c5 value="205 1213">
<param name=c6 value="213 69">
<param name=c7 value="244 69">
<param name=c8 value="276 630">
<param name=c9 value="283 732">
<param name=c10 value="362 69">
<param name=c11 value="394 69">
<param name=c12 value="449 370">
<param name=c13 value="480 1276">
<param name=c14 value="512 1213">
<param name=c15 value="528 157">
<param name=c16 value="583 630">
<param name=c17 value="591 732">
<param name=c18 value="638 654">
<param name=c19 value="638 496">
<param name=c20 value="638 314">
<param name=c21 value="638 142">
<param name=c22 value="669 142">
<param name=c23 value="677 315">
<param name=c24 value="677 496">
<param name=c25 value="677 654">
<param name=c26 value="709 654">
<param name=c27 value="709 496">
<param name=c28 value="709 315">
<param name=c29 value="701 142">
<param name=c30 value="764 220">
<param name=c31 value="811 189">
<param name=c32 value="843 173">
<param name=c33 value="858 370">
<param name=c34 value="890 1276">
<param name=c35 value="921 1213">
<param name=c36 value="992 630">
<param name=c37 value="1000 732">
<param name=c38 value="1197 1276">
<param name=c39 value="1228 1213">
<param name=c40 value="1276 205">
<param name=c41 value="1299 630">
<param name=c42 value="1307 732">
<param name=c43 value="1362 654">
<param name=c44 value="1362 496">
<param name=c45 value="1362 291">
<param name=c46 value="1425 654">
<param name=c47 value="1425 496">
<param name=c48 value="1425 291">
<param name=c49 value="1417 173">
<param name=c50 value="1488 291">
<param name=c51 value="1488 496">
<param name=c52 value="1488 654">
<param name=c53 value="1551 654">
<param name=c54 value="1551 496">
<param name=c55 value="1551 291">
<param name=c56 value="1614 291">
<param name=c57 value="1614 496">
<param name=c58 value="1614 654">
<param name=c59 value="1732 189">
<param name=c60 value="1811 1276">
<param name=c61 value="1843 1213">
<param name=c62 value="1913 630">
<param name=c63 value="1921 732">
<param name=c64 value="2087 370">
<param name=c65 value="2118 1276">
<param name=c66 value="2150 1213">
<param name=c67 value="2189 205">
<param name=c68 value="2220 189">
<param name=c69 value="2220 630">
<param name=c70 value="2228 732">
<param name=c71 value="2244 142">
<param name=c72 value="2276 315">
<param name=c73 value="2276 496">
<param name=c74 value="2276 654">
<param name=c75 value="2315 654">
<param name=c76 value="2315 496">
<param name=c77 value="2315 315">
<param name=c78 value="2331 142">
<param name=c79 value="2346 315">
<param name=c80 value="2346 496">
<param name=c81 value="2346 654">
<param name=c82 value="2362 142">
<param name=c83 value="2402 157">
<param name=c84 value="2402 220">
<param name=c85 value="2480 142">
<param name=c86 value="2496 370">
<param name=c87 value="2528 1276">
<param name=c88 value="2559 1213">
<param name=c89 value="2630 630">
<param name=c90 value="2638 732">
<param name=c91 value="2756 69">
<param name=c92 value="2787 69">
<param name=c93 value="2803 370">
<param name=c94 value="2835 1276">
<param name=c95 value="2866 1213">
<param name=c96 value="2906 69">
<param name=c97 value="2937 69">
<param name=c98 value="2937 630">
<param name=c99 value="2945 732">
<param name=c100 value="3016 1276">
<param name=c101 value="3055 69">
<param name=c102 value="3087 69">
<param name=c103 value="606 220">
<param name=c104 value="1165 370">
<param name=c105 value="1780 370">
EOF
}

sub inst3() {
print OUT <<EOF
<param name=weight value=euclid2>
<param name=n value=225>
<param name=opt value=3916>
<param name=c1 value="155.42 150.65">
<param name=c2 value="375.92 164.65">
<param name=c3 value="183.92 150.65">
<param name=c4 value="205.42 150.65">
<param name=c5 value="205.42 171.65">
<param name=c6 value="226.42 171.65">
<param name=c7 value="226.42 186.15">
<param name=c8 value="226.42 207.15">
<param name=c9 value="226.42 235.65">
<param name=c10 value="226.42 264.15">
<param name=c11 value="226.42 292.65">
<param name=c12 value="226.42 314.15">
<param name=c13 value="226.42 335.65">
<param name=c14 value="205.42 335.65">
<param name=c15 value="190.92 335.65">
<param name=c16 value="190.92 328.15">
<param name=c17 value="176.92 328.15">
<param name=c18 value="176.92 299.65">
<param name=c19 value="155.42 299.65">
<param name=c20 value="155.42 328.15">
<param name=c21 value="155.42 356.65">
<param name=c22 value="183.92 356.65">
<param name=c23 value="219.42 356.65">
<param name=c24 value="240.92 356.65">
<param name=c25 value="269.42 356.65">
<param name=c26 value="290.42 356.65">
<param name=c27 value="387.42 136.15">
<param name=c28 value="318.92 356.65">
<param name=c29 value="318.92 335.65">
<param name=c30 value="318.92 328.15">
<param name=c31 value="318.92 299.65">
<param name=c32 value="297.92 299.65">
<param name=c33 value="290.42 328.15">
<param name=c34 value="290.42 335.65">
<param name=c35 value="297.92 328.15">
<param name=c36 value="254.92 335.65">
<param name=c37 value="254.92 314.15">
<param name=c38 value="254.92 292.65">
<param name=c39 value="254.92 271.65">
<param name=c40 value="254.92 243.15">
<param name=c41 value="254.92 221.65">
<param name=c42 value="254.92 193.15">
<param name=c43 value="254.92 171.65">
<param name=c44 value="276.42 171.65">
<param name=c45 value="296.42 150.65">
<param name=c46 value="276.42 150.65">
<param name=c47 value="375.92 150.65">
<param name=c48 value="308.92 150.65">
<param name=c49 value="354.92 164.65">
<param name=c50 value="338.42 174.65">
<param name=c51 value="354.92 174.65">
<param name=c52 value="338.42 200.15">
<param name=c53 value="338.42 221.65">
<param name=c54 value="354.92 221.65">
<param name=c55 value="354.92 200.15">
<param name=c56 value="361.92 200.15">
<param name=c57 value="361.92 186.15">
<param name=c58 value="383.42 186.15">
<param name=c59 value="383.42 179.15">
<param name=c60 value="404.42 179.15">
<param name=c61 value="404.42 186.15">
<param name=c62 value="418.92 186.15">
<param name=c63 value="418.92 200.15">
<param name=c64 value="432.92 200.15">
<param name=c65 value="432.92 221.65">
<param name=c66 value="418.92 221.65">
<param name=c67 value="418.92 235.65">
<param name=c68 value="397.42 235.65">
<param name=c69 value="397.42 243.15">
<param name=c70 value="375.92 243.15">
<param name=c71 value="375.92 257.15">
<param name=c72 value="368.92 257.15">
<param name=c73 value="368.92 264.15">
<param name=c74 value="347.42 264.15">
<param name=c75 value="347.42 278.65">
<param name=c76 value="336.42 278.65">
<param name=c77 value="336.42 328.15">
<param name=c78 value="347.42 328.15">
<param name=c79 value="347.42 342.65">
<param name=c80 value="368.92 342.65">
<param name=c81 value="368.92 353.65">
<param name=c82 value="418.92 353.65">
<param name=c83 value="418.92 342.65">
<param name=c84 value="432.92 342.65">
<param name=c85 value="432.92 356.65">
<param name=c86 value="447.42 356.65">
<param name=c87 value="447.42 321.15">
<param name=c88 value="447.42 292.65">
<param name=c89 value="432.92 292.65">
<param name=c90 value="432.92 314.15">
<param name=c91 value="418.92 314.15">
<param name=c92 value="418.92 321.15">
<param name=c93 value="397.42 321.15">
<param name=c94 value="397.42 333.65">
<param name=c95 value="375.92 333.65">
<param name=c96 value="375.92 321.15">
<param name=c97 value="361.92 321.15">
<param name=c98 value="361.92 299.65">
<param name=c99 value="375.92 299.65">
<param name=c100 value="375.92 285.65">
<param name=c101 value="397.42 285.65">
<param name=c102 value="397.42 271.65">
<param name=c103 value="418.92 271.65">
<param name=c104 value="418.92 264.15">
<param name=c105 value="439.92 264.15">
<param name=c106 value="439.92 250.15">
<param name=c107 value="454.42 250.15">
<param name=c108 value="454.42 243.15">
<param name=c109 value="461.42 243.15">
<param name=c110 value="461.42 214.65">
<param name=c111 value="461.42 193.15">
<param name=c112 value="447.42 193.15">
<param name=c113 value="447.42 179.15">
<param name=c114 value="439.92 179.15">
<param name=c115 value="439.92 167.65">
<param name=c116 value="419.92 167.65">
<param name=c117 value="419.92 150.65">
<param name=c118 value="439.92 150.65">
<param name=c119 value="454.42 150.65">
<param name=c120 value="475.92 150.65">
<param name=c121 value="475.92 171.65">
<param name=c122 value="496.92 171.65">
<param name=c123 value="496.92 193.15">
<param name=c124 value="496.92 214.65">
<param name=c125 value="496.92 243.15">
<param name=c126 value="496.92 271.65">
<param name=c127 value="496.92 292.65">
<param name=c128 value="496.92 317.15">
<param name=c129 value="496.92 335.65">
<param name=c130 value="470.42 335.65">
<param name=c131 value="470.42 356.65">
<param name=c132 value="496.92 356.65">
<param name=c133 value="347.42 150.65">
<param name=c134 value="539.92 356.65">
<param name=c135 value="560.92 356.65">
<param name=c136 value="589.42 356.65">
<param name=c137 value="589.42 342.65">
<param name=c138 value="603.92 342.65">
<param name=c139 value="610.92 342.65">
<param name=c140 value="610.92 335.65">
<param name=c141 value="610.92 321.15">
<param name=c142 value="624.92 321.15">
<param name=c143 value="624.92 278.65">
<param name=c144 value="610.92 278.65">
<param name=c145 value="610.92 257.15">
<param name=c146 value="589.42 257.15">
<param name=c147 value="589.42 250.15">
<param name=c148 value="575.42 250.15">
<param name=c149 value="560.92 250.15">
<param name=c150 value="542.92 250.15">
<param name=c151 value="542.92 264.15">
<param name=c152 value="560.92 264.15">
<param name=c153 value="575.42 264.15">
<param name=c154 value="575.42 271.65">
<param name=c155 value="582.42 271.65">
<param name=c156 value="582.42 285.65">
<param name=c157 value="596.42 285.65">
<param name=c158 value="560.92 335.65">
<param name=c159 value="596.42 314.15">
<param name=c160 value="582.42 314.15">
<param name=c161 value="582.42 321.15">
<param name=c162 value="575.42 321.15">
<param name=c163 value="575.42 335.65">
<param name=c164 value="525.42 335.65">
<param name=c165 value="525.42 314.15">
<param name=c166 value="525.42 299.65">
<param name=c167 value="525.42 281.65">
<param name=c168 value="525.42 233.15">
<param name=c169 value="525.42 214.65">
<param name=c170 value="525.42 193.15">
<param name=c171 value="525.42 171.65">
<param name=c172 value="546.92 171.65">
<param name=c173 value="546.92 150.65">
<param name=c174 value="568.42 150.65">
<param name=c175 value="475.92 160.65">
<param name=c176 value="603.92 150.65">
<param name=c177 value="624.92 150.65">
<param name=c178 value="624.92 136.15">
<param name=c179 value="596.42 136.15">
<param name=c180 value="575.42 136.15">
<param name=c181 value="553.92 136.15">
<param name=c182 value="532.42 136.15">
<param name=c183 value="575.42 356.65">
<param name=c184 value="489.92 136.15">
<param name=c185 value="468.42 136.15">
<param name=c186 value="447.42 136.15">
<param name=c187 value="425.92 136.15">
<param name=c188 value="404.42 136.15">
<param name=c189 value="370.42 136.15">
<param name=c190 value="361.92 150.65">
<param name=c191 value="340.42 136.15">
<param name=c192 value="326.42 136.15">
<param name=c193 value="301.92 136.15">
<param name=c194 value="276.42 136.15">
<param name=c195 value="254.92 136.15">
<param name=c196 value="315.92 136.15">
<param name=c197 value="212.42 136.15">
<param name=c198 value="190.92 136.15">
<param name=c199 value="338.92 150.65">
<param name=c200 value="155.42 136.15">
<param name=c201 value="624.92 299.65">
<param name=c202 value="318.92 321.65">
<param name=c203 value="155.42 314.15">
<param name=c204 value="311.92 356.65">
<param name=c205 value="355.42 136.15">
<param name=c206 value="318.92 314.15">
<param name=c207 value="362.92 164.65">
<param name=c208 value="254.92 356.65">
<param name=c209 value="383.42 333.65">
<param name=c210 value="447.42 335.65">
<param name=c211 value="470.42 345.65">
<param name=c212 value="525.42 250.15">
<param name=c213 value="546.92 335.65">
<param name=c214 value="525.42 261.15">
<param name=c215 value="525.42 356.65">
<param name=c216 value="336.42 298.65">
<param name=c217 value="336.42 313.15">
<param name=c218 value="293.42 136.15">
<param name=c219 value="336.42 306.15">
<param name=c220 value="425.92 264.15">
<param name=c221 value="391.42 353.65">
<param name=c222 value="482.92 335.65">
<param name=c223 value="429.92 167.65">
<param name=c224 value="330.92 150.65">
<param name=c225 value="368.42 150.65">
EOF
}

sub inst4() {
print OUT <<EOF
<param name=weight value=att>
<param name=n value=532>
<param name=opt value=27686>
<param name=c1 value="7810 6053">
<param name=c2 value="7798 5709">
<param name=c3 value="7264 5575">
<param name=c4 value="7324 5560">
<param name=c5 value="7547 5503">
<param name=c6 value="7744 5476">
<param name=c7 value="7821 5457">
<param name=c8 value="7883 5408">
<param name=c9 value="7874 5405">
<param name=c10 value="7927 5365">
<param name=c11 value="7848 5358">
<param name=c12 value="7802 5317">
<param name=c13 value="7962 5287">
<param name=c14 value="7913 5280">
<param name=c15 value="7724 5210">
<param name=c16 value="7503 5191">
<param name=c17 value="7759 5143">
<param name=c18 value="7890 5130">
<param name=c19 value="7254 5129">
<param name=c20 value="7790 5038">
<param name=c21 value="7142 5032">
<param name=c22 value="7606 5009">
<param name=c23 value="7772 4989">
<param name=c24 value="7744 4933">
<param name=c25 value="7846 4923">
<param name=c26 value="7622 4917">
<param name=c27 value="6937 4917">
<param name=c28 value="7576 4915">
<param name=c29 value="7783 4912">
<param name=c30 value="7716 4909">
<param name=c31 value="7295 4887">
<param name=c32 value="7777 4869">
<param name=c33 value="7700 4854">
<param name=c34 value="7726 4833">
<param name=c35 value="7702 4815">
<param name=c36 value="7583 4813">
<param name=c37 value="7654 4795">
<param name=c38 value="7417 4788">
<param name=c39 value="7267 4779">
<param name=c40 value="6806 4755">
<param name=c41 value="5259 4751">
<param name=c42 value="7698 4745">
<param name=c43 value="7570 4741">
<param name=c44 value="7617 4724">
<param name=c45 value="7752 4721">
<param name=c46 value="7673 4718">
<param name=c47 value="7692 4666">
<param name=c48 value="7547 4664">
<param name=c49 value="7259 4630">
<param name=c50 value="5387 4623">
<param name=c51 value="7679 4581">
<param name=c52 value="7674 4579">
<param name=c53 value="7631 4573">
<param name=c54 value="7520 4572">
<param name=c55 value="7848 4546">
<param name=c56 value="5685 4546">
<param name=c57 value="7832 4542">
<param name=c58 value="6735 4509">
<param name=c59 value="7647 4504">
<param name=c60 value="7338 4481">
<param name=c61 value="4602 4478">
<param name=c62 value="4606 4468">
<param name=c63 value="7399 4467">
<param name=c64 value="7037 4446">
<param name=c65 value="7458 4428">
<param name=c66 value="7364 4427">
<param name=c67 value="6058 4426">
<param name=c68 value="6868 4418">
<param name=c69 value="3832 4410">
<param name=c70 value="6670 4401">
<param name=c71 value="7443 4375">
<param name=c72 value="7160 4370">
<param name=c73 value="6139 4369">
<param name=c74 value="7333 4335">
<param name=c75 value="6237 4332">
<param name=c76 value="5385 4318">
<param name=c77 value="6911 4296">
<param name=c78 value="6304 4294">
<param name=c79 value="7111 4288">
<param name=c80 value="6740 4282">
<param name=c81 value="7698 4279">
<param name=c82 value="7613 4275">
<param name=c83 value="7360 4275">
<param name=c84 value="6779 4273">
<param name=c85 value="7207 4270">
<param name=c86 value="6241 4268">
<param name=c87 value="7432 4265">
<param name=c88 value="4354 4262">
<param name=c89 value="6589 4256">
<param name=c90 value="7817 4252">
<param name=c91 value="6051 4246">
<param name=c92 value="5356 4241">
<param name=c93 value="7554 4236">
<param name=c94 value="7534 4227">
<param name=c95 value="4217 4224">
<param name=c96 value="7349 4219">
<param name=c97 value="7128 4215">
<param name=c98 value="3950 4215">
<param name=c99 value="6947 4209">
<param name=c100 value="7549 4208">
<param name=c101 value="5168 4208">
<param name=c102 value="6524 4207">
<param name=c103 value="5871 4202">
<param name=c104 value="7542 4198">
<param name=c105 value="6660 4193">
<param name=c106 value="7216 4180">
<param name=c107 value="6607 4173">
<param name=c108 value="7601 4171">
<param name=c109 value="6123 4167">
<param name=c110 value="6450 4160">
<param name=c111 value="6713 4154">
<param name=c112 value="7355 4151">
<param name=c113 value="7604 4146">
<param name=c114 value="7541 4141">
<param name=c115 value="7506 4138">
<param name=c116 value="4871 4132">
<param name=c117 value="2906 4131">
<param name=c118 value="6488 4128">
<param name=c119 value="6312 4126">
<param name=c120 value="6008 4117">
<param name=c121 value="4427 4109">
<param name=c122 value="4679 4084">
<param name=c123 value="5955 4081">
<param name=c124 value="6891 4075">
<param name=c125 value="7705 4065">
<param name=c126 value="7562 4058">
<param name=c127 value="4634 4054">
<param name=c128 value="4607 4049">
<param name=c129 value="6557 4047">
<param name=c130 value="7344 4046">
<param name=c131 value="5543 4042">
<param name=c132 value="7124 4039">
<param name=c133 value="7466 4037">
<param name=c134 value="6259 4030">
<param name=c135 value="6366 4002">
<param name=c136 value="5597 3993">
<param name=c137 value="4655 3992">
<param name=c138 value="7805 3991">
<param name=c139 value="3396 3990">
<param name=c140 value="6603 3982">
<param name=c141 value="6537 3982">
<param name=c142 value="4342 3966">
<param name=c143 value="7037 3965">
<param name=c144 value="7345 3951">
<param name=c145 value="7271 3948">
<param name=c146 value="5336 3943">
<param name=c147 value="5964 3935">
<param name=c148 value="7660 3924">
<param name=c149 value="7872 3922">
<param name=c150 value="6567 3922">
<param name=c151 value="6602 3920">
<param name=c152 value="4806 3914">
<param name=c153 value="7909 3912">
<param name=c154 value="5926 3912">
<param name=c155 value="7449 3911">
<param name=c156 value="6333 3909">
<param name=c157 value="3108 3908">
<param name=c158 value="7844 3902">
<param name=c159 value="5427 3894">
<param name=c160 value="6862 3892">
<param name=c161 value="6621 3891">
<param name=c162 value="6150 3888">
<param name=c163 value="7388 3879">
<param name=c164 value="7351 3877">
<param name=c165 value="4694 3877">
<param name=c166 value="6340 3870">
<param name=c167 value="6425 3867">
<param name=c168 value="6577 3858">
<param name=c169 value="6864 3854">
<param name=c170 value="5706 3844">
<param name=c171 value="4496 3844">
<param name=c172 value="4574 3843">
<param name=c173 value="3824 3838">
<param name=c174 value="5803 3824">
<param name=c175 value="5720 3823">
<param name=c176 value="6454 3821">
<param name=c177 value="6120 3821">
<param name=c178 value="7988 3820">
<param name=c179 value="6376 3819">
<param name=c180 value="7841 3818">
<param name=c181 value="5778 3813">
<param name=c182 value="5457 3808">
<param name=c183 value="5671 3807">
<param name=c184 value="4293 3788">
<param name=c185 value="7423 3776">
<param name=c186 value="7342 3775">
<param name=c187 value="5541 3769">
<param name=c188 value="5621 3768">
<param name=c189 value="7750 3760">
<param name=c190 value="6327 3745">
<param name=c191 value="7879 3743">
<param name=c192 value="199 3743">
<param name=c193 value="6652 3742">
<param name=c194 value="5678 3742">
<param name=c195 value="5207 3742">
<param name=c196 value="7429 3737">
<param name=c197 value="7262 3725">
<param name=c198 value="6427 3717">
<param name=c199 value="1851 3710">
<param name=c200 value="6207 3700">
<param name=c201 value="6069 3695">
<param name=c202 value="4780 3694">
<param name=c203 value="7603 3690">
<param name=c204 value="5751 3681">
<param name=c205 value="6365 3679">
<param name=c206 value="6958 3678">
<param name=c207 value="6317 3673">
<param name=c208 value="5417 3673">
<param name=c209 value="6426 3656">
<param name=c210 value="7922 3655">
<param name=c211 value="7331 3634">
<param name=c212 value="5965 3624">
<param name=c213 value="4965 3622">
<param name=c214 value="6833 3618">
<param name=c215 value="6798 3610">
<param name=c216 value="7667 3608">
<param name=c217 value="1047 3602">
<param name=c218 value="7803 3598">
<param name=c219 value="7370 3588">
<param name=c220 value="952 3583">
<param name=c221 value="7906 3580">
<param name=c222 value="250 3578">
<param name=c223 value="5111 3569">
<param name=c224 value="6453 3567">
<param name=c225 value="7492 3560">
<param name=c226 value="6140 3558">
<param name=c227 value="5315 3557">
<param name=c228 value="5316 3554">
<param name=c229 value="4232 3551">
<param name=c230 value="7408 3534">
<param name=c231 value="8013 3523">
<param name=c232 value="5160 3517">
<param name=c233 value="7141 3514">
<param name=c234 value="5887 3508">
<param name=c235 value="4694 3502">
<param name=c236 value="7633 3499">
<param name=c237 value="7919 3496">
<param name=c238 value="1784 3494">
<param name=c239 value="1482 3494">
<param name=c240 value="236 3494">
<param name=c241 value="6713 3488">
<param name=c242 value="7696 3486">
<param name=c243 value="536 3481">
<param name=c244 value="317 3476">
<param name=c245 value="5649 3472">
<param name=c246 value="6235 3471">
<param name=c247 value="7199 3469">
<param name=c248 value="5540 3468">
<param name=c249 value="5400 3461">
<param name=c250 value="5796 3459">
<param name=c251 value="2342 3439">
<param name=c252 value="7494 3430">
<param name=c253 value="7321 3429">
<param name=c254 value="6265 3426">
<param name=c255 value="8001 3418">
<param name=c256 value="226 3415">
<param name=c257 value="6148 3413">
<param name=c258 value="5987 3402">
<param name=c259 value="7582 3396">
<param name=c260 value="7422 3390">
<param name=c261 value="6623 3389">
<param name=c262 value="7475 3388">
<param name=c263 value="7654 3377">
<param name=c264 value="7838 3375">
<param name=c265 value="6570 3371">
<param name=c266 value="4364 3362">
<param name=c267 value="7316 3360">
<param name=c268 value="4857 3359">
<param name=c269 value="7533 3358">
<param name=c270 value="5719 3352">
<param name=c271 value="7452 3339">
<param name=c272 value="7747 3329">
<param name=c273 value="5841 3328">
<param name=c274 value="3229 3312">
<param name=c275 value="7076 3302">
<param name=c276 value="7657 3301">
<param name=c277 value="6360 3301">
<param name=c278 value="525 3297">
<param name=c279 value="5619 3291">
<param name=c280 value="7989 3271">
<param name=c281 value="5697 3269">
<param name=c282 value="6050 3242">
<param name=c283 value="7082 3235">
<param name=c284 value="5539 3235">
<param name=c285 value="741 3235">
<param name=c286 value="6731 3234">
<param name=c287 value="7453 3229">
<param name=c288 value="7695 3220">
<param name=c289 value="7299 3219">
<param name=c290 value="863 3219">
<param name=c291 value="7861 3216">
<param name=c292 value="5960 3207">
<param name=c293 value="4252 3206">
<param name=c294 value="6402 3190">
<param name=c295 value="5342 3188">
<param name=c296 value="6656 3181">
<param name=c297 value="7532 3175">
<param name=c298 value="7434 3173">
<param name=c299 value="5679 3171">
<param name=c300 value="6518 3165">
<param name=c301 value="4537 3143">
<param name=c302 value="806 3123">
<param name=c303 value="6113 3101">
<param name=c304 value="7440 3100">
<param name=c305 value="6204 3099">
<param name=c306 value="7715 3086">
<param name=c307 value="7503 3086">
<param name=c308 value="5821 3086">
<param name=c309 value="7131 3081">
<param name=c310 value="7909 3080">
<param name=c311 value="920 3065">
<param name=c312 value="6468 3050">
<param name=c313 value="5677 3049">
<param name=c314 value="218 3031">
<param name=c315 value="6881 3029">
<param name=c316 value="5650 3023">
<param name=c317 value="197 3021">
<param name=c318 value="5531 3011">
<param name=c319 value="6387 3008">
<param name=c320 value="4458 3007">
<param name=c321 value="6190 2985">
<param name=c322 value="7055 2981">
<param name=c323 value="7238 2957">
<param name=c324 value="5930 2948">
<param name=c325 value="7543 2929">
<param name=c326 value="5291 2929">
<param name=c327 value="4196 2929">
<param name=c328 value="6617 2928">
<param name=c329 value="4831 2917">
<param name=c330 value="2835 2912">
<param name=c331 value="174 2901">
<param name=c332 value="5350 2867">
<param name=c333 value="7346 2858">
<param name=c334 value="6044 2848">
<param name=c335 value="4898 2840">
<param name=c336 value="3307 2833">
<param name=c337 value="1918 2832">
<param name=c338 value="7125 2823">
<param name=c339 value="6422 2820">
<param name=c340 value="5881 2817">
<param name=c341 value="141 2814">
<param name=c342 value="7851 2809">
<param name=c343 value="4929 2803">
<param name=c344 value="5963 2789">
<param name=c345 value="5470 2774">
<param name=c346 value="7458 2741">
<param name=c347 value="1263 2734">
<param name=c348 value="6766 2732">
<param name=c349 value="4763 2720">
<param name=c350 value="3461 2718">
<param name=c351 value="7309 2717">
<param name=c352 value="6848 2712">
<param name=c353 value="178 2702">
<param name=c354 value="1882 2684">
<param name=c355 value="4584 2643">
<param name=c356 value="3174 2627">
<param name=c357 value="7049 2570">
<param name=c358 value="7753 2564">
<param name=c359 value="6597 2563">
<param name=c360 value="4476 2555">
<param name=c361 value="1575 2555">
<param name=c362 value="7304 2550">
<param name=c363 value="10 2537">
<param name=c364 value="6800 2532">
<param name=c365 value="5296 2520">
<param name=c366 value="7104 2510">
<param name=c367 value="6547 2506">
<param name=c368 value="7267 2466">
<param name=c369 value="3189 2411">
<param name=c370 value="5117 2409">
<param name=c371 value="4973 2406">
<param name=c372 value="4488 2378">
<param name=c373 value="7351 2376">
<param name=c374 value="6007 2359">
<param name=c375 value="4612 2341">
<param name=c376 value="7015 2333">
<param name=c377 value="3233 2329">
<param name=c378 value="240 2327">
<param name=c379 value="6686 2312">
<param name=c380 value="6307 2295">
<param name=c381 value="7448 2291">
<param name=c382 value="7087 2274">
<param name=c383 value="2067 2254">
<param name=c384 value="5260 2230">
<param name=c385 value="4174 2190">
<param name=c386 value="36 2185">
<param name=c387 value="7856 2181">
<param name=c388 value="7315 2181">
<param name=c389 value="3319 2151">
<param name=c390 value="2126 2150">
<param name=c391 value="7418 2139">
<param name=c392 value="6885 2138">
<param name=c393 value="4959 2123">
<param name=c394 value="4996 2115">
<param name=c395 value="5681 2109">
<param name=c396 value="5277 2078">
<param name=c397 value="7643 2048">
<param name=c398 value="3390 2043">
<param name=c399 value="8080 2039">
<param name=c400 value="6139 2032">
<param name=c401 value="2694 2026">
<param name=c402 value="7152 2000">
<param name=c403 value="7822 1992">
<param name=c404 value="7416 1953">
<param name=c405 value="7352 1952">
<param name=c406 value="354 1950">
<param name=c407 value="6493 1931">
<param name=c408 value="7905 1921">
<param name=c409 value="8229 1905">
<param name=c410 value="6803 1886">
<param name=c411 value="4012 1886">
<param name=c412 value="4759 1883">
<param name=c413 value="8101 1876">
<param name=c414 value="7989 1876">
<param name=c415 value="8063 1860">
<param name=c416 value="8080 1835">
<param name=c417 value="7004 1805">
<param name=c418 value="6252 1795">
<param name=c419 value="6826 1774">
<param name=c420 value="7218 1773">
<param name=c421 value="464 1773">
<param name=c422 value="809 1766">
<param name=c423 value="7240 1762">
<param name=c424 value="7046 1757">
<param name=c425 value="8098 1746">
<param name=c426 value="7314 1739">
<param name=c427 value="7035 1733">
<param name=c428 value="5506 1719">
<param name=c429 value="8184 1685">
<param name=c430 value="6932 1683">
<param name=c431 value="5914 1682">
<param name=c432 value="2908 1681">
<param name=c433 value="6496 1678">
<param name=c434 value="8525 1664">
<param name=c435 value="6765 1663">
<param name=c436 value="7985 1657">
<param name=c437 value="6854 1640">
<param name=c438 value="7926 1627">
<param name=c439 value="7973 1606">
<param name=c440 value="5060 1577">
<param name=c441 value="4056 1564">
<param name=c442 value="5637 1558">
<param name=c443 value="2011 1558">
<param name=c444 value="8038 1535">
<param name=c445 value="6651 1534">
<param name=c446 value="552 1526">
<param name=c447 value="6621 1513">
<param name=c448 value="8594 1510">
<param name=c449 value="4719 1504">
<param name=c450 value="5472 1482">
<param name=c451 value="8605 1479">
<param name=c452 value="345 1476">
<param name=c453 value="8228 1471">
<param name=c454 value="5005 1458">
<param name=c455 value="5114 1430">
<param name=c456 value="5964 1421">
<param name=c457 value="602 1395">
<param name=c458 value="5098 1394">
<param name=c459 value="5068 1390">
<param name=c460 value="8292 1383">
<param name=c461 value="6258 1354">
<param name=c462 value="5010 1351">
<param name=c463 value="6494 1347">
<param name=c464 value="437 1344">
<param name=c465 value="413 1338">
<param name=c466 value="659 1331">
<param name=c467 value="5840 1325">
<param name=c468 value="6378 1314">
<param name=c469 value="6379 1302">
<param name=c470 value="6359 1298">
<param name=c471 value="3245 1281">
<param name=c472 value="450 1274">
<param name=c473 value="478 1256">
<param name=c474 value="5571 1255">
<param name=c475 value="489 1254">
<param name=c476 value="513 1247">
<param name=c477 value="6136 1243">
<param name=c478 value="4170 1232">
<param name=c479 value="1721 1165">
<param name=c480 value="893 1161">
<param name=c481 value="5930 1151">
<param name=c482 value="4619 1132">
<param name=c483 value="4125 1125">
<param name=c484 value="5139 1124">
<param name=c485 value="572 1108">
<param name=c486 value="4500 1093">
<param name=c487 value="2372 1084">
<param name=c488 value="993 1084">
<param name=c489 value="527 1077">
<param name=c490 value="5788 1053">
<param name=c491 value="3719 1043">
<param name=c492 value="4805 1033">
<param name=c493 value="5140 1018">
<param name=c494 value="5344 1003">
<param name=c495 value="5532 998">
<param name=c496 value="5069 998">
<param name=c497 value="1595 942">
<param name=c498 value="5666 914">
<param name=c499 value="2260 913">
<param name=c500 value="4244 896">
<param name=c501 value="5596 892">
<param name=c502 value="4569 886">
<param name=c503 value="1072 883">
<param name=c504 value="3499 863">
<param name=c505 value="5136 825">
<param name=c506 value="783 825">
<param name=c507 value="834 757">
<param name=c508 value="1406 750">
<param name=c509 value="3390 698">
<param name=c510 value="2384 695">
<param name=c511 value="982 659">
<param name=c512 value="1422 658">
<param name=c513 value="1361 637">
<param name=c514 value="1926 636">
<param name=c515 value="1213 633">
<param name=c516 value="1415 628">
<param name=c517 value="1082 625">
<param name=c518 value="1254 617">
<param name=c519 value="5070 605">
<param name=c520 value="1212 603">
<param name=c521 value="1249 600">
<param name=c522 value="3477 599">
<param name=c523 value="1322 580">
<param name=c524 value="1253 580">
<param name=c525 value="1276 559">
<param name=c526 value="2647 485">
<param name=c527 value="1443 459">
<param name=c528 value="1961 445">
<param name=c529 value="1790 429">
<param name=c530 value="1503 362">
<param name=c531 value="5393 355">
<param name=c532 value="5469 10">
EOF
}

print "<ul>\n";
for ($j=3; $j<4; $j++) {
    for ($i=1; $i<=4; $i++) {
	output($j, $i);
    }
}
print "</ul>\n";
